Tecnologia e non solo

agosto 18, 2007

Fusion: avviso ai naviganti 7 e nuovo script (RC).

Filed under: Archlinux,Compiz-core,Debian,Edgy,Feisty,Fusion,Gutsy,Lenny,Sid — telperion @ 4:21 pm

Altro “colpo de core” dopo la vicenda xcb.

Con questo commit di compiz-core
altra suspance nel sempre più con-fusion,
compiz-fusion.


Oltre agli errori introdotti
da nuovo plugin del core kconfig,
ma non essenziali,
il vero “problema”
è la nuova variazione
della v-table dei plugin
.

Ora i plugin del core sono allineati
a questa nuova v-table,
tutti gli altri no e quindi non vanno.

Il punto ora è:

allineeranno tutti i plugin
a questa nuova v-table rendendoli quindi incompatibili
con la versione 0.5.2 del core
?

Il branch compiz-0.6
(fermo da 6 giorni sostanzialmente poco più che la 0.5.2)
sarà adattato ai nuovi commit in modo da usarlo
senza la”famigerata” libx11-xcb?

La situzione si intrica, il mistero s’infittisce.

Non perdete le prossime
eccitanti puntate.

Mavadavia i c….

Nota:
chi usa makefusion7 per ora è tranquillo visto che usa il core 0.5.2.

Nuova versione della script.
(Catalogato rc solo per l’attesa dello sviluppo della situazione sopra descritta).

I più esperti/ardimentosi possono provare l’anteprima della nuova versione:

makefusion8

Novità introdotte:

supporto Archlinux gnome
supporto Ubuntu/Kubuntu Edgy
ovviamente dovete mettere la vostra dall’elenco

usa di default il ramo compiz-0.6 senza x11-xcb
scelta del decoratore di compiz-manager
compilazione del manager fusion-icon

Le altre istruzioni sono le stesse del
Fusion: nuovo script per compilazione.
Ovviamente nei comandi sostituite
makefusion7.7497 a makefusion7.

PS: create una cartella nella home
esempio “fusion-nuovo” e copiatevi lo script li.
Non usate nomi cartella con spazi
tipo “fusion nuovo” pena malfunzionamenti.

🙂

11 commenti

  1. LOL peggio di Beautifull !!! Ci sentiamo alla prossima!

    Commento di imu — agosto 18, 2007 @ 5:42 pm

  2. @imu: tra me e me pensavo:

    e mo che succede al primo cambio della plugin vtable?

    Non ho dovuto aspettare molto.
    E mo vediamo.🙂

    Commento di telperion — agosto 18, 2007 @ 7:16 pm

  3. @telperion

    Non ho dovuto aspettare molto.
    E mo vediamo.

    Ancora?!?!!!? 🙂

    Commento di imu — agosto 18, 2007 @ 9:34 pm

  4. @telperion: potresti farti assumere da reveman come tester😀

    Commento di LuNa — agosto 18, 2007 @ 9:51 pm

  5. intanto grazie per il tuo ottimo lavoro…
    sono un utente debian sid ed ho notato che se eseguo lo script con privilegi di root, alcuni plugin non compaiono in ccsm (tipo 3d, screensaver, atlantis…). se invece invoco lo script con sudo tutto funziona a meraviglia… la cosa è un po’ strana…😦

    Commento di Luca — agosto 19, 2007 @ 1:15 am

  6. @Luca: se usi root
    questi plugin “sciolti”
    vengono installati nella cartella
    .compiz nella home di root
    anzichè che nella tua home.

    Invece con sudo la home
    resta correttamente la tua.

    Commento di telperion — agosto 19, 2007 @ 2:07 am

  7. @telperion:
    tu cosa consigli di utilizzare, di compilare il manager fusion-icon (e quindi di utilizzare quest’ultimo) oppure di utilizzare il tuo beryl-fusion-manager (per chi lo utilizza come me)?

    Commento di anonimo — agosto 19, 2007 @ 1:56 pm

  8. @anonimo:
    se hai anche beryl beryl-manager è il meglio.
    Se non lo hai, compila comunque fusion-icon e vedi se funziona bene, puoi usare l’uno o l’altro indifferentemente.
    Se hai scheda nvidia o xgl ricorda di spuntare
    loose binding nelle compiz options di fusion-icon.

    La compilazione (defult yes) di fusion-icon non comporta nessun incoveniente per il sistema beryl-manager&compiz-manager.

    Commento di telperion — agosto 19, 2007 @ 3:15 pm

  9. posso chiedere di fare una piccola aggiunta allo script? dato che ormai i dual core sono la regola e che i quad core si affacciano, potresti inserire una variabile da passare al compilatore per lanciare più job paralleli? fino ad ora ho fatto da solo aggiungendo -j4 come flag, ma magari può servire anche ad altri🙂

    Commento di Luca — agosto 20, 2007 @ 1:19 am

  10. […] I plugin di fusion sono incompatibili con l’ultimo core 0.5.3 git, visto che è cambiata l’interfaccia di comunicazione. […]

    Pingback di Compiz-Fusion: più bianco non si può! « Tecnologia e non solo — agosto 20, 2007 @ 3:14 pm

  11. Nuovo makefusion7.7497 RC

    Novità introdotte:

    supporto Archlinux gnome
    supporto Ubuntu/Kubuntu Edgy

    Commento di telperion — agosto 20, 2007 @ 3:40 pm


RSS feed for comments on this post.

Blog su WordPress.com.

%d blogger cliccano Mi Piace per questo: